Package org.eclipse.emf.cdo.common.model

# Class CDOPackageTypeRegistry

java.lang.Object
org.eclipse.emf.cdo.common.model.CDOPackageTypeRegistry

public final class CDOPackageTypeRegistry extends Object
A `singleton` registry for the `package unit types` of EMF `packages`.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`CDOPackageTypeRegistry.CDOObjectMarker`
A common marker interface for CDO (native) objects.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOPackageTypeRegistry`
`INSTANCE`

## Method Summary

Modifier and Type
Method
Description
`CDOPackageUnit.Type`
`deregister(String packageURI)`
`CDOPackageUnit.Type`
`lookup(String packageURI)`
`CDOPackageUnit.Type`
`lookup(EPackage ePackage)`
`CDOPackageUnit.Type`
`register(EPackage ePackage)`
`void`
`registerDynamic(String packageURI)`
`void`
`registerLegacy(String packageURI)`
`void`
`registerNative(String packageURI)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final CDOPackageTypeRegistry INSTANCE

## Method Details

### register

public CDOPackageUnit.Type register(EPackage ePackage)

### registerNative

public void registerNative(String packageURI)

### registerLegacy

public void registerLegacy(String packageURI)

### registerDynamic

public void registerDynamic(String packageURI)

### deregister

public CDOPackageUnit.Type deregister(String packageURI)

### lookup

public CDOPackageUnit.Type lookup(String packageURI)

### lookup

public CDOPackageUnit.Type lookup(EPackage ePackage)

### reset

public void reset()